/* dialog */
/* FIXME we have to see why we need such specific style here and why
 * the general style in confirm.css isn't sufficient */
#setup-installed-app-dialog,
#ime-layout-dialog,
#app-install-dialog,
#app-install-cancel-dialog,
#app-download-cancel-dialog {
  display: none;
  top: 3rem;
  pointer-events: none;
}

/* Shift the bottom of the prompt to account for the height of the
   software home button */
#screen.software-button-enabled #setup-installed-app-dialog,
#screen.software-button-enabled #ime-layout-dialog,
#screen.software-button-enabled #app-install-dialog,
#screen.software-button-enabled #app-install-cancel-dialog,
#screen.software-button-enabled #app-download-cancel-dialog {
  bottom: var(--software-home-button-height);
}

@media (orientation: landscape) {
  #screen.software-button-enabled #setup-installed-app-dialog,
  #screen.software-button-enabled #ime-layout-dialog,
  #screen.software-button-enabled #app-install-dialog,
  #screen.software-button-enabled #app-install-cancel-dialog,
  #screen.software-button-enabled #app-download-cancel-dialog {
    bottom: 0;
    right: var(--software-home-button-height);
  }
}

#setup-installed-app-dialog.visible,
#ime-layout-dialog.visible,
#app-install-dialog.visible,
#app-install-cancel-dialog.visible,
#app-download-cancel-dialog.visible {
  display: inline-block;
  pointer-events: auto;
}

#app-uninstall-dialog {
  position: absolute;
}

#setup-installed-app-dialog section,
#ime-layout-dialog section,
#app-install-dialog section,
#app-install-cancel-dialog section,
#app-download-cancel-dialog section {
  height: auto;
}

#app-install-dialog dl > dt {
  width: 8rem;
  margin-right: 1rem;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-top:2rem;
  color:#000;
}

#app-install-dialog dl > dd{
  color:#A6A6A6;
  margin:0rem;
}

.app-install-dialog h1{
  border-bottom:0.2rem solid #000;
}

#app-install-cancel-dialog p > small{
  color:#000;
}

#app-install-author-url {
  direction: ltr;
}

#app-install-cancel-dialog small:first-child {
  margin-bottom: 1rem;
}

/* ... end of dialog */

/* notification */
#install-manager-notification-container > .fake-notification {
  position: relative;
  border-bottom: none;
}

#install-manager-notification-container > .fake-notification > * {
  pointer-events: none;
}

#install-manager-notification-container [data-icon] {
  color: #9ab0c0;
  background-color: #edf1f4;
}

#install-manager-notification-container .title-container {
  margin: 1.4rem 0 0 3.7rem;
  line-height: 3rem;
}

#install-manager-notification-container progress {
  position: absolute;
  width: 100%;
  height: 0.4rem;
  left: 0;
  top: 5.6rem;
  border: none;
}

#install-manager-notification-container progress::-moz-progress-bar {
  background: url(../shared/progress.gif) repeat-x;
}

/* ... end of notification */

/* ... start of keyboard layout */
ul#ime-list {
  padding-left: 1.5rem;
}

ul#ime-list > li {
  /* Positioning */
  position: relative;

  /* Display & Box Model */
  width: 100%;
  height: 3rem;
  padding-top: 2rem;

  /* Other */
  list-style: none;
}

ul#ime-list > li label {
  text-transform: none;
}

ul#ime-list > li > label:not([for]),
ul#ime-list > li > label.pack-checkbox.ime {
  /* Positioning */
  position: absolute;
  top: 0;
  left: 0;

  /* Display & Box Model */
  width: 100%;
  height: 100%;
}

ul#ime-list > li > label.pack-checkbox.ime > span {
  left: auto;
  right: 3rem;
}

ul#ime-list > li > label.pack-checkbox.ime ~ a {
  padding-right: 6.1rem;
}

ul#ime-list > li > label.pack-switch ~ a {
  padding-right: 9rem;
}

/* ... end of keyboard layout */
